diff -Nurd -x'*~' qwt-6.0.1.orig/designer/designer.pro qwt-6.0.1/designer/designer.pro
--- qwt-6.0.1.orig/designer/designer.pro	2011-08-01 10:33:53.000000000 -0400
+++ qwt-6.0.1/designer/designer.pro	2011-08-17 19:28:19.000000000 -0400
@@ -27,16 +27,15 @@
 
     contains(QWT_CONFIG, QwtFramework) {
 
-        LIBS      += -F$${QWT_ROOT}/lib 
+        LIBFILE = $${QWT_ROOT}/lib/qwt.framework/qwt
     }
     else {
 
-        LIBS      += -L$${QWT_ROOT}/lib
+        LIBFILE = $${QWT_ROOT}/lib/libqwt.$${QMAKE_EXTENSION_SHLIB}
     }
 
-    IPATH       = $${INCLUDEPATH}
-    qtAddLibrary(qwt)
-    INCLUDEPATH = $${IPATH}
+    PRE_TARGETDEPS += $${LIBFILE}
+    LIBS           += $${LIBFILE}
 
     contains(QWT_CONFIG, QwtDll) {
 
diff -Nurd -x'*~' qwt-6.0.1.orig/examples/examples.pri qwt-6.0.1/examples/examples.pri
--- qwt-6.0.1.orig/examples/examples.pri	2011-08-01 10:33:53.000000000 -0400
+++ qwt-6.0.1/examples/examples.pri	2011-08-17 19:25:48.000000000 -0400
@@ -21,16 +21,15 @@
 
 contains(QWT_CONFIG, QwtFramework) {
 
-    LIBS      += -F$${QWT_ROOT}/lib
+    LIBFILE = $${QWT_ROOT}/lib/qwt.framework/qwt
 }
 else {
 
-    LIBS      += -L$${QWT_ROOT}/lib
+    LIBFILE = $${QWT_ROOT}/lib/libqwt.$${QMAKE_EXTENSION_SHLIB}
 }
 
-IPATH       = $${INCLUDEPATH}
-qtAddLibrary(qwt)
-INCLUDEPATH = $${IPATH}
+PRE_TARGETDEPS += $${LIBFILE}
+LIBS           += $${LIBFILE}
 
 contains(QWT_CONFIG, QwtSvg) {
 
diff -Nurd -x'*~' qwt-6.0.1.orig/qwt.pro qwt-6.0.1/qwt.pro
--- qwt-6.0.1.orig/qwt.pro	2011-08-01 10:33:53.000000000 -0400
+++ qwt-6.0.1/qwt.pro	2011-08-17 07:48:25.000000000 -0400
@@ -16,12 +16,16 @@
     src \
     textengines
 
+textengines.depends = src
+
 contains(QWT_CONFIG, QwtDesigner ) {
     SUBDIRS += designer 
+    designer.depends = src
 }
 
 contains(QWT_CONFIG, QwtExamples ) {
     SUBDIRS += examples 
+    designer.depends = src
 }
 
 qwtspec.files  = qwtconfig.pri qwt.prf
diff -Nurd -x'*~' qwt-6.0.1.orig/qwtbuild.pri qwt-6.0.1/qwtbuild.pri
--- qwt-6.0.1.orig/qwtbuild.pri	2011-08-01 10:33:53.000000000 -0400
+++ qwt-6.0.1/qwtbuild.pri	2011-08-17 08:28:08.000000000 -0400
@@ -14,7 +14,6 @@
 CONFIG           += qt     
 CONFIG           += warn_on
 CONFIG           += no_keywords
-CONFIG           += silent
 
 ######################################################################
 # release/debug mode
@@ -64,6 +63,7 @@
         # linker path, so that the installed libraries will be
         # used instead of the local ones.
 
-        error( "local build will conflict with $${QMAKE_LIBDIR_QT}/libqwt.*" )
+	#fink's hacks overcome this build-system stupidity
+        #error( "local build will conflict with $${QMAKE_LIBDIR_QT}/libqwt.*" )
     }
 }
diff -Nurd -x'*~' qwt-6.0.1.orig/qwtconfig.pri qwt-6.0.1/qwtconfig.pri
--- qwt-6.0.1.orig/qwtconfig.pri	2011-08-01 10:33:53.000000000 -0400
+++ qwt-6.0.1/qwtconfig.pri	2011-08-18 09:17:04.000000000 -0400
@@ -19,15 +19,15 @@
 QWT_INSTALL_PREFIX = $$[QT_INSTALL_PREFIX]
 
 unix {
-    QWT_INSTALL_PREFIX    = /usr/local/qwt-$$QWT_VERSION
+    QWT_INSTALL_PREFIX    = @PREFIX@/lib/qt4-@GUI@
 }
 
 win32 {
     QWT_INSTALL_PREFIX    = C:/Qwt-$$QWT_VERSION
 }
 
-QWT_INSTALL_DOCS      = $${QWT_INSTALL_PREFIX}/doc
-QWT_INSTALL_HEADERS   = $${QWT_INSTALL_PREFIX}/include
+QWT_INSTALL_DOCS      = @PREFIX@/share/doc/qt4-@GUI@
+QWT_INSTALL_HEADERS   = $${QWT_INSTALL_PREFIX}/include/qwt
 QWT_INSTALL_LIBS      = $${QWT_INSTALL_PREFIX}/lib
 
 ######################################################################
@@ -105,7 +105,7 @@
 # Otherwise you have to build them from the examples directory.
 ######################################################################
 
-# QWT_CONFIG     += QwtExamples
+QWT_CONFIG     += QwtExamples
 
 ######################################################################
 # When Qt has been built as framework qmake ( qtAddLibrary ) wants 
diff -Nurd -x'*~' qwt-6.0.1.orig/src/qwt_system_clock.cpp qwt-6.0.1/src/qwt_system_clock.cpp
--- qwt-6.0.1.orig/src/qwt_system_clock.cpp	2011-08-01 10:33:53.000000000 -0400
+++ qwt-6.0.1/src/qwt_system_clock.cpp	2011-08-18 09:57:09.000000000 -0400
@@ -14,7 +14,7 @@
 #include <unistd.h>
 #endif
 
-#if defined(Q_OS_MAC)
+#if defined(__APPLE__)
 #include <stdint.h>
 #include <mach/mach_time.h>
 #define QWT_HIGH_RESOLUTION_CLOCK
@@ -43,7 +43,7 @@
 
 private:
 
-#if defined(Q_OS_MAC)
+#if defined(__APPLE__)
     static double msecsTo( uint64_t, uint64_t );
 
     uint64_t d_timeStamp;
@@ -64,7 +64,7 @@
 #endif
 };
 
-#if defined(Q_OS_MAC)
+#if defined(__APPLE__)
 QwtHighResolutionClock::QwtHighResolutionClock():
     d_timeStamp( 0 )
 {
diff -Nurd -x'*~' qwt-6.0.1.orig/src/src.pro qwt-6.0.1/src/src.pro
--- qwt-6.0.1.orig/src/src.pro	2011-08-01 10:33:53.000000000 -0400
+++ qwt-6.0.1/src/src.pro	2011-08-17 08:28:25.000000000 -0400
@@ -216,7 +216,7 @@
 
 target.path    = $${QWT_INSTALL_LIBS}
 
-doc.files      = $${QWT_ROOT}/doc/html 
+doc.files      = $${QWT_ROOT}/doc/html
 unix:doc.files += $${QWT_ROOT}/doc/man
 doc.path       = $${QWT_INSTALL_DOCS}
 
diff -Nurd -x'*~' qwt-6.0.1.orig/textengines/textengines.pri qwt-6.0.1/textengines/textengines.pri
--- qwt-6.0.1.orig/textengines/textengines.pri	2011-08-01 10:33:53.000000000 -0400
+++ qwt-6.0.1/textengines/textengines.pri	2011-08-17 19:27:24.000000000 -0400
@@ -29,16 +29,15 @@
 contains(QWT_CONFIG, QwtFramework) {
 
     CONFIG += lib_bundle
-    LIBS      += -F$${QWT_ROOT}/lib
+    LIBFILE = $${QWT_ROOT}/lib/qwt.framework/qwt
 }
 else {
 
-    LIBS      += -L$${QWT_ROOT}/lib
+    LIBFILE = $${QWT_ROOT}/lib/libqwt.$${QMAKE_EXTENSION_SHLIB}
 }
 
-IPATH       = $${INCLUDEPATH}
-qtAddLibrary(qwt)
-INCLUDEPATH = $${IPATH}
+PRE_TARGETDEPS += $${LIBFILE}
+LIBS           += $${LIBFILE}
 
 # Install directives
 